## icinga-notifications 0.1.1

=== debian/changelog ===
icinga-notifications (0.1.1-1+ubuntu25.10) icinga; urgency=medium

  * Release 0.1.1-1

 -- Icinga GmbH <info@icinga.com>  Thu, 16 Oct 2025 15:33:25 +0000

## icinga-notifications 0.1.1+45.g266f62d

=== debian/changelog ===
icinga-notifications (0.1.1+45.g266f62d-1754919278+debian13) icinga; urgency=medium

  * Release 0.1.1+45.g266f62d-1754919278

 -- Icinga GmbH <info@icinga.com>  Mon, 11 Aug 2025 13:34:56 +0000

## icinga-notifications 0.1.1+67.g272ecf2

=== Makefile ===
# These variables follow the naming convention from the GNU Make documentation
# but their defaults correspond to the rest of the code (note that changing
# libexecdir here wouldn't affect the default path for the channel plugin
# directory used by the daemon for example).
#
# https://www.gnu.org/software/make/manual/html_node/Directory-Variables.html
prefix     ?= /usr
sbindir    ?= $(prefix)/sbin
libexecdir ?= $(prefix)/libexec
datadir    ?= $(prefix)/share
sysconfdir ?= /etc

all: pkg = github.com/icinga/icinga-notifications/internal
all:
	mkdir -p build
	go build \
		-o build/ \
		-ldflags "-X '$(pkg).LibExecDir=$(libexecdir)' -X '$(pkg).SysConfDir=$(sysconfdir)'" \
		./cmd/icinga-notifications
	go build -o build/channels/ ./cmd/channels/...

test:
	go test ./...

install:
	@# config
	install -d $(DESTDIR)$(sysconfdir)/icinga-notifications
	install -m644 config.example.yml $(DESTDIR)$(sysconfdir)/icinga-notifications/config.yml
	@# dameon
	install -D build/icinga-notifications $(DESTDIR)$(sbindir)/icinga-notifications
	@# channels
	install -d $(DESTDIR)$(libexecdir)/icinga-notifications/channels
	install build/channels/* $(DESTDIR)$(libexecdir)/icinga-notifications/channels/
	@# database schema
	install -d $(DESTDIR)$(datadir)/icinga-notifications
	cp -rv --no-dereference schema $(DESTDIR)$(datadir)/icinga-notifications
	@# chmod ensures consistent permissions when cp is called with umask != 022
	chmod -R u=rwX,go=rX $(DESTDIR)$(datadir)/icinga-notifications/schema

clean:
	rm -rf build

.PHONY: all test install clean

=== debian/changelog ===
icinga-notifications (0.1.1+67.g272ecf2-1760628941+ubuntu25.10) icinga; urgency=medium

  * Release 0.1.1+67.g272ecf2-1760628941

 -- Icinga GmbH <info@icinga.com>  Thu, 16 Oct 2025 15:36:07 +0000

=== debian/control ===
Source: icinga-notifications
Maintainer: Icinga GmbH <info@icinga.com>
Section: admin
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  gcc,
  make,
  tzdata
Standards-Version: 4.7.0
Homepage: https://icinga.com

Package: icinga-notifications
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  tzdata,
  adduser
Description: Improved notifications and incident management for your Icinga stack
 Icinga Notifications daemon is responsible for processing received monitoring
 events from various sources, managing incidents and forwards notifications to
 predefined contacts.

=== debian/rules ===
#!/usr/bin/make -f

export GOFLAGS = -buildvcs=false -trimpath

%:
	dh $@

# Fix the permissions for "/etc/icinga-notifications" set in the Makefile after dh_fixperms(1) has done its stuff.
override_dh_fixperms:
	dh_fixperms
	chmod -R o= debian/icinga-notifications/etc/icinga-notifications

# By default, dh_dwz(1) tries to optimise the DWARF information of binary files and libraries, which adds
# way too much build time overhead given that GO binaries do not need such optimisations. So override
# the dh_dwz processing step and make it a no-op by using a dummy command (true).
override_dh_dwz:
	true

# By default, dh_strip(1) automatically generates debug symbols for the executables which are not required
# for our GO binaries. So override the dh command and run dh_strip with the no-automatic-dbgsym flag set.
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# By default, Debian will try to automatically start the systemd service right after installation in the postinst script.
# However, using the default DB config will always result in an error and Icinga Notifications will retry these errors
# for 5m before giving up and crashing, causing "deb-systemd-invoke" to timeout and abort the installation with an
# error. So override this section here and run it with the no-start flag set.
override_dh_installsystemd:
	dh_installsystemd --no-start

## icinga-notifications 0.2.0

=== debian/changelog ===
icinga-notifications (0.2.0-3+ubuntu25.10) icinga; urgency=medium

  * Release 0.2.0-3

 -- Icinga GmbH <info@icinga.com>  Thu, 05 Feb 2026 08:39:14 +0000
